local 任务名称 = "#{SQXY_09061_4}"
local 间隔时间 = 1000
local npcX坐标 = 282
local npcY坐标 = 276
local npc名称 = "梁道士"
local 许愿树x坐标 = 157
local 许愿树y坐标 = 185

打印信息("开始执行一千零一个愿望脚本")

function 一千零一个愿望()
	local 任务进度 = 取任务进度(任务名称)
	--打印信息("任务进度 = "..任务进度)
	if 任务进度 == -1 then
		if 取物品数量("愿灵泉") < 5 then
		   打印信息("许愿泉数量不足，任务结束")
		   return
		elseif 取对话栏内容() == "#{SQXY_09061_7}" then
			打印信息("许愿任务一天一次,现已完成,结束任务脚本")
			return
		end
		if 取地图名() ~= "苏州" or 取距离(npcX坐标,npcY坐标) > 20 then
			召唤坐骑(1)
		end
		跨图寻路(npcX坐标,npcY坐标,"苏州")
		对话npc(npc名称)
		延迟(间隔时间)
		对话选项(任务名称)
		延迟(间隔时间)
		接受任务()
		return 一千零一个愿望()
	end
	
	if 任务进度 == 0 then
		local 当前道具数量 = 取物品数量("愿灵泉")
		local 完成道具数量 = 取任务完成数(任务名称,1)
		打印信息("当前道具数量为：  "..当前道具数量.."     ".."完成道具数量为：   "..完成道具数量)
		if 当前道具数量 < (5 - 完成道具数量) then 
			打印信息("任务道具不足 ，任务结束。。。")
			return
		end
		if 取地图名() ~= "太湖" or 取距离(许愿树x坐标,许愿树y坐标) > 20 then
			召唤坐骑(1)
		end
		跨图寻路(许愿树x坐标,许愿树y坐标,"太湖")
		召唤坐骑(0)
		while 取任务进度(任务名称) ~= 1 do 使用物品("愿灵泉") 延迟(间隔时间*33) end
		return 一千零一个愿望()
	end
	
	if 任务进度 == 1 then
		召唤坐骑(1)
		跨图寻路(npcX坐标,npcY坐标,"苏州")
		对话npc(npc名称)
		延迟(间隔时间)
		对话选项(任务名称)
		延迟(间隔时间)
		任务继续()
		延迟(间隔时间)
		完成任务()
		return 一千零一个愿望()
	end
end
一千零一个愿望()